import { View, Text, Button } from '@tarojs/components'
import { useEffect, useRef, useState } from 'react'

// import userBck from '../../assets/userBck.png'


import './style.less'



export default (props) => {

  const [showTime, setShowTime] = useState("")
  const timer = useRef();
  useEffect(() => {
    setInterval(() => {
      const ymd = new Date()
      const time = ymd.toTimeString().slice(0, 8)
      var year = ymd.getFullYear();
      var month = ymd.getMonth();
      var day = ymd.getDate();
      const times = `${year}-${month}-${day} ${time}`
      // //获取时分秒
      // var h = time.getHours();
      // var m = time.getMinutes();
      // var s = time.getSeconds();

      setShowTime(times)
    }, 1000)
    return () => {
      clearInterval(timer.current);
    };

  }, [])

  const goUserInfo = () => {

    // 跳转到目的页面，在当前页面打开
    // Taro.redirectTo({
    //   url: '/pages/setUserInfo/index'
    // })

  }



  return (
    <View className='index-UserQRcode'>
      {/* <Text>Hello world!</Text> */}
      {/* <View className='index-UserQRcode-headerInfo' style={{ backgroundImage: `url(${userBck})` }}> */}
      <View className='index-UserQRcode-headerInfo' >
        <View className='index-UserQRcode-headerInfo-User'>
          <View className='index-UserQRcode-headerInfo-User-NameInfo'>姓名：鲍张抄</View>
          <View className='index-UserQRcode-headerInfo-User-setNameInfo'>+修改信息</View>
        </View>
        <View className='index-UserQRcode-headerInfo-UserID'>身份证：320888800110023011</View>
      </View>
      <View className='index-UserQRcode-cententQR'>
        <View className='index-UserQRcode-cententQR-Times'>
          {showTime}
        </View>
      </View>
    </View>
  )
}




